Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.graph
Class ProtegePrefixMapping

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.graph.ProtegePrefixMapping

All Implemented Interfaces:
  com.hp.hpl.jena.shared.PrefixMapping

    public class ProtegePrefixMapping

extends Object
implements com.hp.hpl.jena.shared.PrefixMapping

Author:
  Holger Knublauch

Nested Class Summary

Nested classes/interfaces inherited from interface com.hp.hpl.jena.shared.PrefixMapping
`com.hp.hpl.jena.shared.PrefixMapping.Factory, com.hp.hpl.jena.shared.PrefixMapping.IllegalPrefixException, com.hp.hpl.jena.shared.PrefixMapping.JenaLockedException`

Field Summary

Fields inherited from interface com.hp.hpl.jena.shared.PrefixMapping
`Extended, Standard`

Constructor Summary
`ProtegePrefixMapping(OWLModel owlModel, TripleStore ts)`

Method Summary
`String` | `expandPrefix(String qname)`
`Map` | `getNsPrefixMap()`
`String` | `getNsPrefixURI(String prefix)`
`String` | `getNsURIPrefix(String uri)`
`com.hp.hpl.jena.shared.PrefixMapping` | `lock()`
`String` | `qnameFor(String string)`
`com.hp.hpl.jena.shared.PrefixMapping` | `removeNsPrefix(String string)`
`boolean` | `samePrefixMappingAs(com.hp.hpl.jena.shared.PrefixMapping arg0)`
`com.hp.hpl.jena.shared.PrefixMapping` | `setNsPrefix(String string, String string1)`
`com.hp.hpl.jena.shared.PrefixMapping` | `setNsPrefixes(Map map)`
`com.hp.hpl.jena.shared.PrefixMapping` | `setNsPrefixes(com.hp.hpl.jena.shared.PrefixMapping prefixMapping)`
`String` | `shortForm(String uri)`
`String` | `usePrefix(String string)`
`com.hp.hpl.jena.shared.PrefixMapping` | `withDefaultMappings(com.hp.hpl.jena.shared.PrefixMapping prefixMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtegePrefixMapping

    public ProtegePrefixMapping(OWLModel owlModel,
                                TripleStore ts)

Method Detail

### setNsPrefix

    public com.hp.hpl.jena.shared.PrefixMapping setNsPrefix(String string,
                                                            String string1)

  Specified by:
    `setNsPrefix` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### removeNsPrefix

    public com.hp.hpl.jena.shared.PrefixMapping removeNsPrefix(String string)

  Specified by:
    `removeNsPrefix` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### setNsPrefixes

    public com.hp.hpl.jena.shared.PrefixMapping setNsPrefixes(com.hp.hpl.jena.shared.PrefixMapping prefixMapping)

  Specified by:
    `setNsPrefixes` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### setNsPrefixes

    public com.hp.hpl.jena.shared.PrefixMapping setNsPrefixes(Map map)

  Specified by:
    `setNsPrefixes` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### withDefaultMappings

    public com.hp.hpl.jena.shared.PrefixMapping withDefaultMappings(com.hp.hpl.jena.shared.PrefixMapping prefixMapping)

  Specified by:
    `withDefaultMappings` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### getNsPrefixURI

    public String getNsPrefixURI(String prefix)

  Specified by:
    `getNsPrefixURI` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### getNsURIPrefix

    public String getNsURIPrefix(String uri)

  Specified by:
    `getNsURIPrefix` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### getNsPrefixMap

    public Map getNsPrefixMap()

  Specified by:
    `getNsPrefixMap` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### expandPrefix

    public String expandPrefix(String qname)

  Specified by:
    `expandPrefix` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### shortForm

    public String shortForm(String uri)

  Specified by:
    `shortForm` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### usePrefix

    public String usePrefix(String string)

### qnameFor

    public String qnameFor(String string)

  Specified by:
    `qnameFor` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### lock

    public com.hp.hpl.jena.shared.PrefixMapping lock()

  Specified by:
    `lock` in interface `com.hp.hpl.jena.shared.PrefixMapping`

### samePrefixMappingAs

    public boolean samePrefixMappingAs(com.hp.hpl.jena.shared.PrefixMapping arg0)

  Specified by:
    `samePrefixMappingAs` in interface `com.hp.hpl.jena.shared.PrefixMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.